commit:     f3cf668d98177b8a49d605610637faf5be3557ce
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 28 11:40:29 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Apr 28 13:40:40 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3cf668d

dev-lang/nprolog: bump to 4.08

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-lang/nprolog/Manifest            |  1 +
 dev-lang/nprolog/nprolog-4.08.ebuild | 54 ++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-lang/nprolog/Manifest b/dev-lang/nprolog/Manifest
index e59c47520a92..ca0a37e4d5f9 100644
--- a/dev-lang/nprolog/Manifest
+++ b/dev-lang/nprolog/Manifest
@@ -1 +1,2 @@
 DIST nprolog-4.05.gh.tar.gz 1294386 BLAKE2B 
820bd52f2f5c47fd3fe873d94ca5dec177f43843cef649422e202debee922f2786ba5bd20c0f9806f5916ba74717d67febdc3dbb3b08616e22c5eba1085069aa
 SHA512 
f6621fc30856bf38460395e7ebc73233b5387ea6aa450439b0979e50b2c8f1bde87ffd1a0468f5eca33abc3b3c2fe7bed080f8e82e090e213fb2afa488be3054
+DIST nprolog-4.08.gh.tar.gz 1308785 BLAKE2B 
8e28698aa9972db9017f6b808aa75e723db555959904884a327ff4be4f1f229456157f747bd0fc32a3b4b7bd6441d1170633908577b90ef11511ca42b3840f6b
 SHA512 
4ca35f7a5d010f2064b21694494edcfec1aef0823a2ce9601906a2ee77a1161a6b0e7642f49f214a8a7fc7c864e5ec2ba60de3dc33784876787a69ac281a9ac3

diff --git a/dev-lang/nprolog/nprolog-4.08.ebuild 
b/dev-lang/nprolog/nprolog-4.08.ebuild
new file mode 100644
index 000000000000..7cd886b90578
--- /dev/null
+++ b/dev-lang/nprolog/nprolog-4.08.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Interpreter and compiler to be compatible with Arity/Prolog32"
+HOMEPAGE="https://github.com/sasagawa888/nprolog/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/sasagawa888/${PN}";
+else
+       
SRC_URI="https://github.com/sasagawa888/${PN}/archive/refs/tags/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="doc"
+
+DOCS=( README{,-ja}.md )
+
+src_prepare() {
+       if [[ -f edlog ]] ; then
+               rm edlog || die
+       fi
+
+       default
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+       exeinto /usr/bin
+       doexe npl
+
+       insinto "/usr/share/${PN}"
+       doins -r example library
+
+       if use doc ; then
+               DOCS+=( document )
+
+               docompress -x "/usr/share/doc/${PF}/document"
+       fi
+
+       einstalldocs
+}

Reply via email to